@import "@/assets/scss/theme.scss";
@import "@/assets/scss/common.scss";

.small-point {
  width: 50px;
  height: 50px;
  border-radius: 50%;
  background: linear-gradient(260.39deg, #00A79D 0%, #8C41CE 96.71%);

  @media (max-width: 1200px) {
    width: 39px;
    height: 39px;
  }
}

.big-point {
  width: 100px;
  height: 100px;
  border-radius: 50%;
  border: 1px solid #00A79D;
  background: #070707;

  @media (max-width: 1200px) {
    width: 78px;
    height: 78px;
  }
}

.hero-wrapper {
  position: relative;
  padding-bottom: 100px;

  @media (max-width: 1200px) {
    padding-bottom: 30px;
  }
}

.hero {
  display: grid;
  grid-template-columns: 1fr 647px;
  align-items: center;

  @media (max-width: 1200px) {
    grid-template-columns: 1fr;
  }

  &__green-cloud {
    position: absolute;
    mix-blend-mode: screen;
    top: -100px;
    left: 0;
    z-index: -1;

    @media (max-width: 1200px) {
      top: 50px;
      width: 400%;
      max-width: 100%;
    }
  }

  &-img {
    position: relative;

    @media (max-width: 1200px) {

    }

    &::before {
      position: absolute;
      content: "";
      top: 50%;
      left: 50%;
      width: 70%;
      height: 70%;
      border-radius: 40%;
      z-index: -1;
      background: linear-gradient(180deg, rgba(0, 167, 157, 0.5) 0%, rgba(140, 65, 206, 0.5) 100%);
      filter: blur(55px);
      transform: translate(-50%, -50%) rotate(21.07deg);
    }

    &__image {

    }
  }

  &-info {

    &-img-mobile {
      position: relative;
      max-width: 360px;
      margin: 0 auto;

      &::before {
        position: absolute;
        content: "";
        top: 50%;
        left: 50%;
        width: 70%;
        height: 70%;
        border-radius: 40%;
        z-index: -1;
        background: linear-gradient(180deg, rgba(0, 167, 157, 0.5) 0%, rgba(140, 65, 206, 0.5) 100%);
        filter: blur(55px);
        transform: translate(-50%, -50%) rotate(21.07deg);
      }
    }

    &__title {
      font-weight: 700;
      font-size: 56px;
      line-height: 116%;
      margin-bottom: 24px;

      @media (max-width: 1200px) {
        font-size: 26px;
        max-width: 330px;
        margin-bottom: 0;
        margin-right: 0;
      }

      span {

      }
    }

    &-remember {

      &__text {
        font-weight: 500;
        font-size: 24px;
        line-height: 130%;
        margin-bottom: 12px;

        @media (max-width: 1200px) {
          font-size: 18px;
        }
      }

      &-list {
        list-style: none;
        margin-bottom: 32px;

        @media (max-width: 1200px) {
          margin-bottom: 16px;
        }

        &__item {
          position: relative;
          padding-left: 24px;
          font-weight: 500;
          font-size: 24px;
          line-height: 130%;

          @media (max-width: 1200px) {
            font-size: 18px;
          }

          &::before {
            content: "";
            position: absolute;
            top: 0.4em;
            left: 0;
            width: 12px;
            height: 12px;
            border-radius: 50%;
            background: linear-gradient(260.39deg, #00A79D 0%, #8C41CE 96.71%);

            @media (max-width: 1200px) {

            }
          }

          small {
            font-size: 18px;

            @media (max-width: 1200px) {
              font-size: 14px;
            }
          }
        }
      }
    }

    &-description {
      font-weight: 500;
      font-size: 24px;
      line-height: 130%;
      max-width: 570px;

      @media (max-width: 1200px) {
        font-size: 18px;
      }

      &__link {
        color: $pink;
      }
    }
  }
}

// SURPRISE

.surprise-wrapper {
  position: relative;
  padding-bottom: 120px;

  @media (max-width: 1200px) {
    padding-bottom: 68px;
  }
}

.surprise {
  display: grid;
  grid-template-columns: 1fr 1px 1fr;
  z-index: 1;

  &-mobile {
    display: grid;
    grid-row-gap: 16px;
    position: relative;
    margin-left: 30px;
    margin-bottom: 24px;

    &::before {
      content: "";
      position: absolute;
      left: 0;
      top: 0;
      width: 1px;
      height: calc(100% - 80px);
      background: $grey;
    }

    &::after {
      @extend .small-point;
      content: "";
      position: absolute;
      bottom: 80px;
      left: 0;
      transform: translate(-50%, 50%);
    }

    & > * {
      padding-left: 30px;

      &.surprise-point {
        padding-left: 60px;
      }
    }

    .big-point, .small-point {
      left: 0;
      transform: translate(-50%, 0);
    }
  }

  &-heading {
    display: flex;
    flex-direction: column;
    font-weight: bold;
    font-size: 72px;
    line-height: 130%;
    margin-bottom: 50px;

    @media (max-width: 1200px) {
      font-size: 36px;
      margin-bottom: 0;

      &:first-of-type {
        margin-bottom: 16px;
      }
    }

    &.small {
      font-size: 56px;
      max-width: 460px;
    }

    &__subtext {
      font-weight: 600;
      font-size: 24px;
      line-height: 130%;
      color: #fff;
      margin-top: 10px;

      @media (max-width: 1200px) {
        margin-top: 8px;
        font-size: 18px;
      }
    }
  }

  &-rating {
    height: 303px;
    position: relative;

    @media (max-width: 1200px) {

    }

    &-box {
      position: absolute;
      top: 0;
      display: flex;
      flex-direction: column;
      align-items: center;
      width: 613px;
      z-index: 1;

      @media (max-width: 1500px) {
        width: calc(100% - 100px);
      }
    }

    &-heading {
      position: relative;
      font-weight: 600;
      font-size: 24px;
      text-align: center;
      display: flex;
      align-items: center;
      justify-content: center;
      column-gap: 24px;
      background: linear-gradient(260.39deg, #00A79D 0%, #8C41CE 96.71%);
      padding: 8px 24px 8px 40px;
      border-radius: 16px;
      line-height: 0;
      margin-bottom: 20px;

      @media (max-width: 1650px) {
        padding: 8px 20px;
      }

      @media (max-width: 1500px) {
        margin-bottom: 50px;
      }

      @media (max-width: 1200px) {
        font-size: 18px;
        column-gap: 6px;
        padding: 8px 0;
        flex-wrap: wrap;
        row-gap: 8px;
      }

      &__stars {

        @media (max-width: 1200px) {
          width: 77px;
        }
      }

      &__smoke {
        position: absolute;
        z-index: -1;
        left: 100%;
        bottom: -10px;
        transform: translateX(-35%);

        @media (max-width: 1650px) {
          width: 100px;
        }

        @media (max-width: 1200px) {
          display: none;
        }
      }
    }

    &-table {
      width: 100%;
      border-radius: 34px;
      position: relative;

      @media (max-width: 1200px) {

      }

      &::before {
        position: absolute;
        content: "";
        top: 30%;
        left: 30%;
        width: 40%;
        height: 130%;
        border-radius: 40%;
        z-index: -1;
        background: linear-gradient(180deg, rgba(0, 167, 157, 0.5) 0%, rgba(140, 65, 206, 0.5) 100%);
        filter: blur(55px);
        transform: translate(-50%, -50%) rotate(21.07deg);
      }

      &__thing-image {
        position: absolute;
        top: 0;
        left: 18px;
        z-index: 1;
        transform: rotateY(180deg) translateY(-40px);

        @media (max-width: 1200px) {
          transform: translateY(-40px);
        }
      }

      &-head {
        background: #03A59E;
        border-radius: 34px 34px 0 0;

        .surprise-rating-table-column {
          font-weight: 700;
          font-size: 16px;
          line-height: 130%;

          @media (max-width: 1200px) {

          }
        }
      }

      &-body {
        background: rgba(0, 0, 0, .42);
        overflow: hidden;
        border-radius: 0 0 34px 34px;
        border-bottom: 1px solid rgba(255, 255, 255, 0.36);
        border-right: 1px solid rgba(255, 255, 255, 0.36);
      }

      &-row {
        display: grid;
        grid-template-columns: 1fr 1fr 1fr;
        overflow: hidden;

        &:not(:last-child) {
          border-bottom: 1px solid rgba(255, 255, 255, 0.36);
        }

        @media (max-width: 1200px) {
          grid-template-columns: 4fr 3fr 3fr;
        }
      }

      &-column {
        padding: 10px 0;
        text-align: center;
        font-weight: 500;
        font-size: 16px;
        line-height: 130%;

        &:first-child {
          font-weight: 700;
          font-size: 16px;
          line-height: 130%;
          background: linear-gradient(260.39deg, #00A79D 0%, #8C41CE 96.71%);
        }

        &:not(:last-child) {
          border-right: 1px solid rgba(255, 255, 255, 0.36);
        }
      }
    }
  }

  &__separator {
    z-index: -1;
    position: relative;
    background-color: $grey;

    &::after {
      @extend .small-point;
      content: "";
      position: absolute;
      top: 100%;
      left: 0;
      transform: translate(-50%, -50%);
    }
  }

  &__skull-cloud {
    position: absolute;
    mix-blend-mode: screen;
    left: 0;
    top: 200px;
    z-index: -1;

    @media (max-width: 1200px) {
      top: 450px;
    }
  }

  &__rarity-cloud {
    position: absolute;
    mix-blend-mode: screen;
    right: 0;
    bottom: -250px;
    z-index: -1;

    @media (max-width: 1200px) {
      bottom: -100px;
    }
  }

  &__top-cloud {
    position: absolute;
    mix-blend-mode: screen;
    top: -300px;
    right: 0;
    z-index: -1;

    @media (max-width: 1200px) {

    }
  }

  &-skull-poison {
    position: relative;
    margin-bottom: 40px;
    min-height: 800px;
    align-self: flex-start;

    @media (max-width: 1200px) {
      min-height: 350px;
      height: 350px;
      max-width: 300px;
      left: -35px;
    }

    &::before {
      position: absolute;
      content: "";
      top: 10%;
      left: 50%;
      width: 40%;
      height: 70%;
      border-radius: 40%;
      z-index: -1;
      background: linear-gradient(180deg, rgba(0, 167, 157, 0.5) 0%, rgba(140, 65, 206, 0.5) 100%);
      filter: blur(55px);
      transform: translate(-50%, -50%) rotate(21.07deg);
    }

    &__main-image {
      object-fit: cover;
      width: 100%;

      @media (max-width: 1200px) {
        height: 100%;
        width: auto;
      }
    }

    &__mutant-badge {
      position: absolute;
      right: 0;
      top: 0;
      transform: translate(-20%, 0);

      @media (max-width: 1200px) {
        width: 65px;
        transform: translateX(40%);
      }
    }
  }

  &-left {

    > * {
      padding-right: 100px;

      &:nth-child(1) {
        margin-bottom: 0;
      }

      &:nth-child(2) {
        margin-bottom: 53px;
      }

      &:nth-child(3) {
        margin-bottom: 62px;
      }

      &:nth-child(4) {
        margin-bottom: 59px;
      }

      &:nth-child(5) {
        margin-bottom: 46px;
      }

      &:last-child {
        margin-bottom: 0;
      }
    }

    .big-point, .small-point {
      right: 0;
      transform: translate(50%, -25%);
    }

    &-cards {
      display: flex;
      flex-direction: column;
      margin-bottom: 70px;
      position: relative;

      &::after {
        content: '';
        z-index: -1;
        position: absolute;
        width: 60%;
        height: 90%;
        top: 50%;
        left: 40%;
        transform: translate(-50%, -50%) rotate(-21deg);
        background: linear-gradient(180deg, rgba(0, 167, 157, 0.5) 0%, rgba(140, 65, 206, 0.5) 100%);
        filter: blur(90px);
        border-radius: 50%;
      }

      &__item {

        &:first-child {
          align-self: flex-start;
          width: 401px;
          max-width: 80%;
        }

        &:last-child {
          width: 475px;
          max-width: 80%;
          align-self: flex-end;
        }
      }
    }
  }

  &-right {
    padding-top: 120px;

    > * {
      padding-left: 100px;
    }

    .big-point, .small-point {
      left: 0;
      transform: translate(-50%, 0);
    }

    &-cards {
      position: relative;

      > img {
        width: 100%;
      }
    }

    & > * {
      &:nth-child(1) {
        margin-bottom: 64px;
      }

      &:nth-child(2) {
        margin-bottom: 64px;
      }

      &:nth-child(3) {
        margin-bottom: 64px;
      }

      &:nth-child(4) {
        margin-bottom: 64px;
      }

      &:nth-child(5) {
        margin-bottom: 100px;
      }

      &:last-child {
        margin-bottom: 0;
      }
    }
  }

  &-point {
    margin-bottom: 130px;
    position: relative;

    @media (max-width: 1200px) {
      margin-bottom: 0;
      max-width: 310px;
    }

    .big-point, .small-point {
      position: absolute;
      top: 0;
    }

    &__heading {
      margin-bottom: 24px;
      font-weight: 600;
      font-size: 24px;
      line-height: 130%;

      @media (max-width: 1200px) {
        font-size: 20px;
        margin-bottom: 16px;
      }
    }

    &__text {
      font-weight: 500;
      font-size: 18px;
      line-height: 130%;

      @media (max-width: 1200px) {
        font-size: 16px;
      }

      a {
        color: $pink;
      }
    }

    &__big-text {
      @extend .text-purple-gradient;
      font-weight: 600;
      font-size: 24px;
      line-height: 130%;

      @media (max-width: 1200px) {
        font-size: 18px;
      }
    }
  }

}

.rewards-wrapper {
  position: relative;
  padding-bottom: 40px;
}

.rewards {

  &__note {
    background: rgba(255, 0, 255, 0.16);
    border: 2px solid #FF006F;
    border-radius: 26px;
    padding: 24px 32px;
    font-weight: 500;
    font-size: 18px;
    line-height: 130%;

    @media (max-width: 1200px) {
      padding: 12px;
      font-size: 14px;
    }

    strong {
      font-weight: 700;
      color: #FF006F;
    }
  }

  &-rd {
    display: grid;
    grid-template-columns: 1fr 1px 1fr;
    z-index: 1;
    position: relative;
    margin-bottom: 52px;
  }

  &-rd-mobile {
    display: grid;
    grid-row-gap: 32px;
    position: relative;
    margin-left: 30px;
    margin-bottom: 24px;

    &::before {
      content: "";
      position: absolute;
      left: 0;
      top: 0;
      width: 1px;
      height: calc(100% - 150px);
      background: $grey;
    }

    &::after {
      @extend .small-point;
      content: "";
      position: absolute;
      bottom: 150px;
      left: 0;
      transform: translate(-50%, 50%);
    }

    & > * {
      padding-left: 27px;
      max-width: 310px;

      &.rewards-point {
        padding-left: 56px;
        margin-bottom: 0;
      }
    }

    .big-point, .small-point {
      left: 0;
      top: 50%;
      transform: translate(-50%, -50%);
    }
  }

  &__light {
    position: absolute;
    bottom: -100px;
    right: 0;
    mix-blend-mode: screen;

    @media (max-width: 1550px) {
      width: 80%;
    }

    @media (max-width: 1200px) {
      bottom: unset;
      top: 50px;
      width: 400px;
      right: 0;
    }
  }

  &__heading {
    display: flex;
    flex-direction: column;
    font-weight: bold;
    font-size: 72px;
    line-height: 130%;
    margin-bottom: 50px;
    text-transform: uppercase;

    @media (max-width: 1200px) {
      font-size: 36px;
      padding-left: 27px;
      margin-bottom: 400px;
    }
  }

  &__separator {
    z-index: -1;
    position: relative;
    background-color: $grey;
    margin-bottom: 150px;

    &::after {
      @extend .small-point;
      content: "";
      position: absolute;
      top: 100%;
      left: 0;
      transform: translate(-50%, -50%);
    }
  }

  &-left {
    padding-top: 50px;

    > * {
      padding-right: 100px;

      &:last-child {
        margin-bottom: 0;
      }
    }

    .big-point, .small-point {
      right: 0;
      transform: translate(50%, -25%);
    }
  }

  &-right {
    padding-top: 24px;

    > * {
      padding-left: 100px;

      &:last-child {
        margin-bottom: 0;
      }
    }

    .big-point, .small-point {
      left: 0;
      transform: translate(-50%, -50%);
    }
  }

  &-point {
    margin-bottom: 78px;
    position: relative;

    .big-point, .small-point {
      position: absolute;
      top: 50%;
    }

    &__heading {
      margin-bottom: 18px;
      font-weight: 600;
      font-size: 24px;
      line-height: 130%;
      text-align: right;

      @media (max-width: 1200px) {
        text-align: left;
        font-size: 18px;
        margin-bottom: 14px;
      }
    }

    &-list {
      display: flex;
      flex-direction: column;
      row-gap: 4px;

      &__item {
        font-weight: 500;
        font-size: 24px;
        line-height: 130%;
        color: $grey;
        text-align: right;
        padding-right: 24px;
        position: relative;

        @media (max-width: 1200px) {
          font-size: 18px;
          text-align: left;
          padding-right: 0;
          padding-left: 16px;
        }

        small {
          font-size: 16px;
          color: inherit;

          @media (max-width: 1200px) {
            font-size: 18px;
          }
        }

        &::after {
          content: "";
          position: absolute;
          width: 12px;
          height: 12px;
          border-radius: 50%;
          right: 0;
          top: 50%;
          transform: translateY(-50%);
          background: linear-gradient(260.39deg, #00A79D 0%, #8C41CE 96.71%);

          @media (max-width: 1200px) {
            right: unset;
            left: 0;
            width: 9px;
            height: 9px;
          }
        }
      }
    }
  }
}

.counter-wrapper {
  padding: 120px 0;
  background: url("static/img/mutants/countdown/countdown-bg.png") no-repeat center / cover;

  @media (max-width: 1200px) {
    padding: 50px 30px;
  }
}

.counter {
  position: relative;
  padding: 80px 120px;
  border-radius: 46px;
  background: rgba(7, 7, 7, 0.46);
  border: 1px solid #FFFFFF;
  backdrop-filter: blur(7px);

  @media (max-width: 1200px) {
    padding: 20px;
    border-radius: 16px;
    max-width: 300px;
    margin: 0 auto;
  }

  &__image {

    &-thing {
      position: absolute;
      top: -42px;
      left: 35px;

      @media (max-width: 1200px) {
        transform: rotateY(180deg);
        left: 5px;
        top: -34px;
        width: 60px;
      }
    }

    &-flask {
      position: absolute;
      bottom: -194px;
      left: -238px;

      @media (max-width: 1200px) {
        width: 127px;
        left: -50px;
        bottom: -56px;
      }
    }

    &-skull {
      position: absolute;
      top: -66px;
      right: -62px;

      @media (max-width: 1200px) {
        width: 53px;
        top: -27px;
        right: -21px;
      }
    }

    &-badge {
      position: absolute;
      left: 100%;
      bottom: -56px;

      @media (max-width: 1600px) {
        left: 90%;
      }

      @media (max-width: 1200px) {
        width: 47px;
        left: unset;
        right: -42px;
        bottom: -27px;
      }
    }
  }

  &__heading {
    font-weight: 600;
    font-size: 24px;
    line-height: 130%;
    margin-bottom: 32px;
    text-align: center;

    @media (max-width: 1200px) {
      font-size: 18px;
      margin-bottom: 8px;
    }
  }

  &-timer {
    display: grid;
    grid-template-columns: 1fr auto 1fr auto 1fr auto 1fr;
    column-gap: 24px;
    align-items: center;

    @media (max-width: 1200px) {
      grid-template-columns: 1fr 10px 1fr;
      gap: 14px;
      justify-items: center;
    }

    &-item {
      display: flex;
      flex-direction: column;
      align-items: center;
      background: linear-gradient(260.39deg, #00A79D 0%, #8C41CE 96.71%);
      border-radius: 26px;
      padding: 8px 0 16px 0;
      width: 100%;

      @media (max-width: 1200px) {
        padding: 0;
        width: 74px;
        height: 72px;
        border-radius: 6px;
        justify-self: end;
      }

      &:nth-child(3), &:nth-child(7) {
        justify-self: start;
      }

      &__value {
        font-weight: 500;
        font-size: 120px;
        line-height: 130%;

        @media (max-width: 1200px) {
          font-size: 49px;
          line-height: 1;
        }
      }

      &__name {
        font-weight: 600;
        font-size: 18px;
        line-height: 130%;

        @media (max-width: 1200px) {
          font-size: 14px;
        }
      }
    }

    &__semicolon {
      font-weight: 500;
      font-size: 120px;
      line-height: 130%;

      @media (max-width: 1200px) {
        font-size: 49px;
        line-height: 1;
      }
    }
  }
}

.how-wrapper {
  position: relative;
  padding-top: 115px;
  margin-bottom: 50px;

  @media (max-width: 1200px) {
    padding-top: 53px;
    margin-bottom: 0;
    overflow: hidden;

    &::before {
      content: "";
      width: 200px;
      height: 350px;
      background: linear-gradient(180deg, rgba(0, 167, 157, 0.5) 0%, rgba(140, 65, 206, 0.5) 100%);
      filter: blur(75px);
      transform: rotate(21.07deg);
      border-radius: 30%;
      position: absolute;
      top: 0;
      right: 0;
    }
  }
}

.how {

  &__cloud {
    position: absolute;
    left: 0;
    bottom: 0;
    mix-blend-mode: screen;
    z-index: -1;

    @media (max-width: 1200px) {
      bottom: 250px;
    }
  }

  &__title {
    font-weight: 700;
    font-size: 72px;
    line-height: 130%;
    text-align: center;
    text-transform: uppercase;
    margin-bottom: 32px;

    @media (max-width: 1200px) {
      font-size: 36px;
    }
  }

  &-rd {
    display: grid;
    grid-template-columns: 1fr 1px 1fr;
    z-index: 1;
    position: relative;

    &__separator {
      z-index: -1;
      position: relative;
      background-color: $grey;
      margin-bottom: 240px;

      &::after {
        @extend .small-point;
        content: "";
        position: absolute;
        top: 100%;
        left: 0;
        transform: translate(-50%, -50%);
      }
    }

    &-guide {
      position: relative;
      margin-bottom: 40px;

      @media (max-width: 1200px) {
        max-width: 300px;
        margin-bottom: 0;
      }

      &__main {
        width: 100%;
        object-fit: cover;
      }

      &__decoration {
        position: absolute;
        left: -40px;
        top: -270px;

        @media (max-width: 1200px) {
          top: -46px;
          left: 20px;
        }
      }
    }

    &__cards {

      @media (max-width: 1200px) {
        width: 100%;
      }
    }

    &__hint {
      font-weight: 300;
      font-size: 18px;
      line-height: 130%;
      color: $grey;
      font-style: italic;
      padding-left: 0 !important;

      @media (max-width: 1200px) {
        font-size: 16px;
        max-width: 343px;
        margin: 0 auto;
      }

      .tip {
        font-style: normal;
      }

      strong {
        font-weight: 300;
        color: #fff;
      }
    }

    &-left {
      padding-top: 100px;

      > * {
        padding-right: 100px;
      }

      .big-point, .small-point {
        right: 0;
        transform: translate(50%, -25%);
      }
    }

    &-right {
      padding-top: 100px;

      > * {
        padding-left: 100px;
      }

      .big-point, .small-point {
        left: 0;
        transform: translate(-50%, -50%);
      }
    }

    &-point {
      margin-bottom: 78px;
      position: relative;

      .big-point, .small-point {
        position: absolute;
        top: 50%;

        &.top {
          top: 0;
        }
      }

      &__heading {
        margin-bottom: 18px;
        font-weight: 600;
        font-size: 24px;
        line-height: 130%;

        &:last-child {
          margin-bottom: 0;
        }

        @media (max-width: 1200px) {
          font-size: 18px;
        }
      }

      &__text {
        font-weight: 500;
        font-size: 18px;
        line-height: 130%;

        @media (max-width: 1200px) {
          font-size: 16px;
        }

        a {
          color: $pink;
        }
      }

    }
  }

  &-rd-mobile {
    display: grid;
    grid-row-gap: 32px;
    position: relative;
    margin-left: 30px;
    margin-bottom: 32px;

    &::before {
      content: "";
      position: absolute;
      left: 0;
      top: 0;
      width: 1px;
      height: calc(100% - 10px);
      background: $grey;
    }

    &::after {
      @extend .small-point;
      content: "";
      position: absolute;
      bottom: 10px;
      left: 0;
      transform: translate(-50%, 50%);
    }

    & > * {
      padding-left: 27px;
      max-width: 310px;

      &.how-rd-point {
        padding-left: 59px;
        margin-bottom: 0;
      }
    }

    .big-point, .small-point {
      left: 0;
      top: 50% !important;
      transform: translate(-50%, -50%);
    }
  }
}

.footer-wrapper {
  padding: 0 60px 60px 60px;

  @media (max-width: 1200px) {
    padding: 32px 0;
  }
}

.footer {
  width: 100%;
  display: grid;
  align-items: center;
  grid-template-columns: auto 1fr auto;

  @media (max-width: 1200px) {
    grid-template-columns: 1fr;
  }

  &-text {
    display: flex;
    flex-direction: column;
    align-items: center;
    row-gap: 44px;
    max-width: 996px;
    margin: 0 auto;

    @media (max-width: 1200px) {
      row-gap: 34px;
      max-width: 346px;
    }

    &__item {
      text-align: center;
      font-weight: 400;
      font-size: 36px;
      line-height: 130%;
      color: #fff;

      @media (max-width: 1200px) {
        font-size: 20px;
      }
    }
  }

  &__cloud {
    z-index: -1;

    @media (max-width: 1200px) {
      display: none;
    }

    &.right {
      transform: rotateY(180deg);
    }
  }
}

.rd {

  &-wrapper {
    padding-bottom: 60px;
  }

  &__title {
    font-weight: 700;
    font-size: 56px;
    line-height: 116%;
    margin-bottom: 40px;
    text-align: center;
    color: #FAFAFA;
    text-shadow: 0 4px 4px rgba(0, 0, 0, 0.25);

    @media (max-width: 1200px) {
      font-size: 32px;
      margin-bottom: 24px;
    }
  }

  &-info {
    display: grid;
    row-gap: 12px;
    padding: 16px 32px;
    background: rgba(0, 0, 0, 0.46);
    border: 1px solid #7DD800;
    border-radius: 9px;

    &__title {
      font-weight: 700;
      font-size: 26px;
      line-height: 130%;
      text-transform: uppercase;
      color: #FAFAFA;
      text-shadow: 0 4px 4px rgba(0, 0, 0, 0.25);

      @media (max-width: 1200px) {
        font-size: 20px;
      }
    }

    &__note {
      font-weight: 400;
      font-size: 16px;
      line-height: 130%;
      color: #999999;
    }

    &-section {

      &__title {
        margin-bottom: 8px;
        font-weight: 600;
        font-size: 21px;
        line-height: 130%;
        color: #7DD800;

        @media (max-width: 1200px) {
          font-size: 19px;
        }
      }

      &__text {
        font-weight: 400;
        font-size: 16px;
        line-height: 130%;
        color: #FFFFFF;
      }
    }

    &-table {
      background: rgba(0, 0, 0, 0.42);
      border-radius: 26px;
      overflow: hidden;
      border: 1px solid #8C41CE;
      margin: 40px auto;
      max-width: 700px;

      &-row {
        display: grid;
        grid-template-columns: repeat(3, 1fr);

        &:first-child {
          background: linear-gradient(260.39deg, #00A79D 0%, #8C41CE 96.71%);

          & > * {
            font-weight: 700;
            font-size: 16px;
            line-height: 100%;
            text-align: center;
            color: #FFFFFF;
          }
        }

        &:not(:last-child) {
          border-bottom: 1px solid #8C41CE;
        }
      }

      &-col {
        min-height: 51px;
        padding: 4px 12px;
        font-weight: 500;
        font-size: 16px;
        line-height: 130%;
        text-align: center;
        color: #FFFFFF;
        display: flex;
        align-items: center;
        justify-content: center;

        &:not(:last-child) {
          border-right: 1px solid #8C41CE;
        }
      }
    }
  }
}
